package com.yonge.cooleshow.portal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-11
 */
@ApiModel("商品分类")
public class ProductCategorySmallVo {

    private Long id;

    @ApiModelProperty("上级id")
    private Long parentId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty("下级类型")
    private List<ProductCategorySmallVo> children = new ArrayList<>();


    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public List<ProductCategorySmallVo> getChildren() {
        return children;
    }

    public void setChildren(List<ProductCategorySmallVo> children) {
        this.children = children;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
